import request from "@/utils/request";
import request2 from "@/utils/request2";

// 统一接入
export function getLookMonitor(query) {
  return request({
    url: "/web/lookMonitor/getLookMonitor",
    method: "get",
    params: query,
  });
}


// 统一接口监控状态监听
export function getLookMonitorByUrlAndStatus(query) {
    return request({
      url: "/web/lookMonitor/getLookMonitorByUrlAndStatus",
      method: "get",
      params: query,
    });
  }
  

// 数据地图
export function getDataMap (type) {
  return request({
    url: `/web/lookMonitor/getDataMap/${type}`,
    method: "get",
  });
}


export function getCatalogCount () {
  return request2({
    url: `/web/lookMonitor/getCatalogCount`,
    method: "get",
  });
}

export function getClassifyCatalogCount () {
  return request2({
    url: `/web/lookMonitor/getClassifyCatalogCount`,
    method: "get",
  });
}